## dxflib 2.2.0.0

=== Makefile ===
#
#
# Makefile for dxflib
#
#

#
# dxflib installation directories
#
LIBDIR = /usr/local/lib
INCDIR = /usr/local/include/dxflib

#PREFIX ?= /usr

#LIBDIR = $(DESTDIR)$(PREFIX)/lib
#INCDIR = $(DESTDIR)$(PREFIX)/include/dxflib


#LIBDIR = $(HOME)/local/lib
#INCDIR = $(HOME)/local/include/dxflib

#
#------------------------ do not edit ------------------------
#
SHELL = /bin/sh

CC           = gcc
CXX          = g++
CFLAGS       = -I./src -g -O2  -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DLINUX=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1
INSTALL      = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
FIND         = find
MAKEDEPEND   = makedepend
AR           = ar
ARFLAGS      = -rs

BASE_DIR = ./src

BASE_SRC = \
		$(BASE_DIR)/dl_dxf.cpp \
		$(BASE_DIR)/dl_writer_ascii.cpp

BASE_INS = \
		$(BASE_DIR)/dl_attributes.h \
		$(BASE_DIR)/dl_codes.h \
		$(BASE_DIR)/dl_creationadapter.h \
		$(BASE_DIR)/dl_creationinterface.h \
		$(BASE_DIR)/dl_dxf.h \
		$(BASE_DIR)/dl_entities.h \
		$(BASE_DIR)/dl_exception.h \
		$(BASE_DIR)/dl_extrusion.h \
		$(BASE_DIR)/dl_writer.h \
		$(BASE_DIR)/dl_writer_ascii.h

SRC = $(BASE_SRC)
OBJ = $(SRC:.cpp=.o)

INS =  $(BASE_INS)

.cpp.o:  
	$(CXX) $(CFLAGS) -c $< -o $@


all: ./lib/libdxflib.a

./lib/libdxflib.a: $(OBJ) 
	test -d ./lib || mkdir ./lib
	$(AR) $(ARFLAGS) ./lib/libdxflib.a $(OBJ)

install: ./lib/libdxflib.a
	test -d $(LIBDIR) || mkdir -p $(LIBDIR)
	test -d $(INCDIR) || mkdir -p $(INCDIR)
	$(INSTALL_DATA) ./lib/libdxflib.a $(LIBDIR)
	#-(ln -s $(LIBDIR)/libdxflib.a $(LIBDIR)/libdxflib.a)
	for IFILE in $(INS); do \
		$(INSTALL_DATA) $$IFILE  $(INCDIR); \
	done

clean:
	-(cd ./test ; make clean)
	-rm -f $(OBJ)
	-rm -f ./lib/lib* Makefile.bak
	-rm -f ./include/dxflib/*.h
	-$(FIND) . -name "*~" -exec rm -f {} \;
	-rm -f ./lib/libdxflib.a
  
distclean: clean
	-rm -f Makefile configure

testing:	./lib/libdxflib.a
	(cd ./test ; make)

docu:
	-(doxygen ./doxygen.cfg)

dist:	clean docu
	#-rm -r ./doc/classref/html/en/*
	-rm -r ./distribution/dxflib/*
	test -d ./distribution/dxflib || mkdir -p ./distribution/dxflib
	mkdir -p ./distribution/dxflib/doc
	-(cp -r ./src ./test ./distribution/dxflib/)
	-(cp -r ./doc/classref ./distribution/dxflib/doc/)
	-(cp * ./distribution/dxflib/)
	-(cd ./distribution/dxflib; rm config.log config.cache reinstall*; mkdir lib include)
	-(cd ./distribution; tar fvcz dxflib.tar.gz dxflib)

depend:
	$(MAKEDEPEND) -- $(CFLAGS) -- $(SRC)
	@echo
	@echo "Run 'make' to build dxflib library."
	@echo

# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== debian/changelog ===
dxflib (2.2.0.0-7~bpo60+1) squeeze-backports; urgency=low

  * Backport to squeeze

 -- Scott Howard <showard@debian.org>  Sun, 12 Feb 2012 10:49:38 -0500

dxflib (2.2.0.0-7) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Previous upload also included patch to solve a boundary bug
    needed by LibreCAD. Thanks Rallaz for the patch.

  [ Scott Howard ]
  * Added symbols file, managed by pkgkde-symbolshelper

 -- Scott Howard <showard@debian.org>  Sun, 05 Feb 2012 13:39:54 -0500

dxflib (2.2.0.0-6) unstable; urgency=low

  * Add myself to Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 10 Oct 2011 14:24:55 -0300

dxflib (2.2.0.0-5) unstable; urgency=low

  * Moved headers to /usr/include/dxflib as excepted by upstream
    makefile (Closes: #630999)
  * Debian S-V 3.9.2 no changes

 -- Scott Howard <showard@debian.org>  Sun, 19 Jun 2011 13:19:16 -0400

dxflib (2.2.0.0-4) unstable; urgency=low

  * Corrected debian/copyright to be GPLv2 and LGPLv2

 -- Scott Howard <showard@debian.org>  Thu, 21 Apr 2011 23:11:41 -0400

dxflib (2.2.0.0-3) unstable; urgency=low

  * Removed symbols files, FTBFS (arch-dep symbols)

 -- Scott Howard <showard@debian.org>  Thu, 14 Apr 2011 09:08:15 -0400

dxflib (2.2.0.0-2) unstable; urgency=low

  * Set source package priority: optional, no change to binary packages
  * Removed *.la from debian/libdxflib-dev.install

 -- Scott Howard <showard@debian.org>  Thu, 07 Apr 2011 19:13:27 -0400

dxflib (2.2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #617623)

 -- Scott Howard <showard@debian.org>  Sat, 12 Mar 2011 12:00:24 -0500

=== debian/control ===
Source: dxflib
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Scott Howard <showard@debian.org>,
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), dh-autoreconf, autotools-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.qcad.org/dxflib.html
Vcs-Git: git://git.debian.org/debian-science/packages/dxflib.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dxflib.git

Package: libdxflib-dev
Priority: extra
Section: libdevel
Architecture: any
Depends: libdxflib-2.2.0.0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the dxflib library
 dxflib is a C++ library for reading and writing DXF files. When reading DXF
 files, dxflib parses the file and calls functions that you define in your
 own C++ class for adding entities, layers, etc.
 .
 This package contains the development files (headers and documentation) for
 libdxflib.

Package: libdxflib-2.2.0.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for reading and writing DXF files
 dxflib is a C++ library for reading and writing DXF files. When reading DXF
 files, dxflib parses the file and calls functions that you define in your
 own C++ class for adding entities, layers, etc.

Package: libdxflib-2.2.0.0-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libdxflib-2.2.0.0 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for the dxflib library
 dxflib is a C++ library for reading and writing DXF files. When reading DXF
 files, dxflib parses the file and calls functions that you define in your
 own C++ class for adding entities, layers, etc.
 .
 This package contains the debugging symbols for libdxflib.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*-.*,\1,p')
%:
	dh $@ --with autoreconf

override_dh_strip:
	dh_strip --dbg-package=libdxflib-2.2.0.0-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(DEB_UPSTREAM_VERSION)

get-orig-source:
	uscan --download-current-version --repack --rename

## dxflib 2.5.0.0

=== test/Makefile ===

prefix =	/usr/local
exec_prefix =	${prefix}
bindir =	${exec_prefix}/bin

OBJF =		main.o \
            test_creationclass.o
EXTERN_LIBS = -L../lib -ldxflib -L/usr/X11R6/lib -lX11
INCLUDES = -I../src

all: main

clean:
	@echo "Cleaning project..."
	@find . -name '*.o' -exec rm "{}" \;
	@if [ -f test ]; then rm -f test; fi

distclean: clean
	rm -f config.log config.cache Makefile config.status

main: $(OBJF)
	c++ -o test $(OBJF) $(EXTERN_LIBS)

%.o : %.cpp
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $(INCLUDES) -O3 -Wall $< -o $@

doc :
	@echo "Building documentation"
	@doxygen doxy.cfg

=== debian/changelog ===
dxflib (2.5.0.0-4) unstable; urgency=medium

  * Team upload.
  * Remove myself from uploaders
  * Updated symbols
  * Rename package for g++ transition (Closes: #797649)
  * Updated copyright
  * Bump Debian SV to 3.9.6, no changes

 -- Scott Howard <showard@debian.org>  Mon, 07 Sep 2015 12:30:34 -0400

dxflib (2.5.0.0-3) unstable; urgency=medium

  * Adopt dxflib. Closes: #733823. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Aug 2015 17:31:11 +0100

dxflib (2.5.0.0-2) unstable; urgency=low

  * Merge from experimental to unstable. (Closes: #731577)

 -- Scott Howard <showard@debian.org>  Fri, 13 Dec 2013 16:41:48 -0500

dxflib (2.5.0.0-1) experimental; urgency=low

  * New upstream release.
  * Dropped debian/patches/hatch_fix.patch:
    - patch from depending project that no longer uses dxflib
  * Enable multi-arch, S-V 3.9.4, hardening flags
  * Fix a FTBFS for missing AM_PROG_AR macro (Closes: #713303)

 -- Scott Howard <showard@debian.org>  Sun, 23 Jun 2013 17:16:54 -0400

dxflib (2.2.0.0-8) unstable; urgency=low

  * More hatch fixes in debian/patches/hatches_fixes.patch

 -- Scott Howard <showard@debian.org>  Sat, 03 Mar 2012 21:25:22 -0500

=== debian/control ===
Source: dxflib
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>,
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev, libx11-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.qcad.org/en/what-is-dxflib
Vcs-Git: git://anonscm.debian.org/debian-science/packages/dxflib.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dxflib.git

Package: libdxflib-dev
Priority: extra
Section: libdevel
Architecture: any
Depends: libdxflib-2.5.0.0v5 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the dxflib library
 dxflib is a C++ library for reading and writing DXF files. When reading DXF
 files, dxflib parses the file and calls functions that you define in your
 own C++ class for adding entities, layers, etc.
 .
 This package contains the development files (headers and documentation) for
 libdxflib.

Package: libdxflib-2.5.0.0v5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libdxflib-2.5.0.0
Replaces: libdxflib-2.5.0.0
Description: Library for reading and writing DXF files
 dxflib is a C++ library for reading and writing DXF files. When reading DXF
 files, dxflib parses the file and calls functions that you define in your
 own C++ class for adding entities, layers, etc.

Package: libdxflib-2.5.0.0v5-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libdxflib-2.5.0.0v5 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for the dxflib library
 dxflib is a C++ library for reading and writing DXF files. When reading DXF
 files, dxflib parses the file and calls functions that you define in your
 own C++ class for adding entities, layers, etc.
 .
 This package contains the debugging symbols for libdxflib.

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,18 @@
 #export DH_VERBOSE=1
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*-.*,\1,p')
 %:
+	mv configure.in configure.ac
 	dh $@ --with autoreconf
+	mv configure.ac configure.in
+
+override_dh_auto_test:
+	make testing
 
 override_dh_strip:
-	dh_strip --dbg-package=libdxflib-2.2.0.0-dbg
+	dh_strip --dbg-package=libdxflib-$(DEB_UPSTREAM_VERSION)v5-dbg #remove v5 after next version bump
 
 override_dh_makeshlibs:
-	dh_makeshlibs -- -c0 -v$(DEB_UPSTREAM_VERSION)
+	dh_makeshlibs -- -c0 -v2.5.0.0-4~ #-v$(DEB_UPSTREAM_VERSION) change back after next version bump
 
 get-orig-source:
 	uscan --download-current-version --repack --rename

## dxflib 3.12.2

=== debian/changelog ===
dxflib (3.12.2-1) unstable; urgency=medium

  * New upstream release. Move 2.5.0.0 -> 3 and rename packages.
  * Remove explicit dbg package. Now done automatically.
  * Remove lisandro from Uploaders:

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Jan 2016 22:38:18 +0000

=== debian/control ===
Source: dxflib
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev, libx11-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.qcad.org/en/what-is-dxflib
Vcs-Git: git://anonscm.debian.org/debian-science/packages/dxflib.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dxflib.git

Package: libdxflib-dev
Priority: extra
Section: libdevel
Architecture: any
Depends: libdxflib3 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the dxflib library
 dxflib is a C++ library for reading and writing DXF files. When reading DXF
 files, dxflib parses the file and calls functions that you define in your
 own C++ class for adding entities, layers, etc.
 .
 This package contains the development files (headers and documentation) for
 libdxflib.

Package: libdxflib3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for reading and writing DXF files
 dxflib is a C++ library for reading and writing DXF files. When reading DXF
 files, dxflib parses the file and calls functions that you define in your
 own C++ class for adding entities, layers, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	mv configure.in configure.ac
	dh $@ --with autoreconf
	mv configure.ac configure.in

override_dh_auto_test:
	make testing

override_dh_auto_install:
	dh_auto_install
	dh_link -p libdxflib3 $(LIBDIR)/libdxflib.so.3.12.2	 $(LIBDIR)/libdxflib.so.3

get-orig-source:
	uscan --download-current-version --repack --rename

## dxflib 3.17.0

=== debian/changelog ===
dxflib (3.17.0-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:45 +0100

dxflib (3.17.0-3) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * Point VCS to salsa.debian.org
  * Change homepage to https:

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Jan 2019 10:05:09 +0000

dxflib (3.17.0-2) unstable; urgency=medium

  * Standards-Version: 4.0.0; no changes required
  * Add debian/gbp.conf file
  * Label packages as Multi-Arch: same
  * Drop obsolete B-D on dh-autoreconf, autotools-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Jul 2017 08:22:02 +0100

dxflib (3.17.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright: test/* removed; GPL2+ files in debian/*
  * Standards-Version: 3.9.8. No changes required.
  * DH_COMPAT=10

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Jun 2017 10:02:34 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,4 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	dh_link -p libdxflib3 $(LIBDIR)/libdxflib.so.3.12.2	 $(LIBDIR)/libdxflib.so.3
-
-get-orig-source:
-	uscan --download-current-version --repack --rename
+	dh_link -p libdxflib3 $(LIBDIR)/libdxflib.so.3.17.0	 $(LIBDIR)/libdxflib.so.3

=== debian/watch ===
version=3

opts="uversionmangle=s/-.*//" \
  http://www.qcad.org/en/dxflib-downloads \
  /archives/dxflib/dxflib-(.*)\-src\.tar\.gz

## dxflib 3.26.4

=== debian/changelog ===
dxflib (3.26.4-3) unstable; urgency=medium

  * Team Upload
  * Fix team name
  * Remove old stale CDBS file, use "lrc" instead
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/rules with newer & shorter syntax
  * Bump d/watch to v4
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Feb 2026 17:39:03 +0100

dxflib (3.26.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Change priority extra to priority optional.
  * Fix broken Vcs URL.
  * Update standards version to 4.6.1, no changes needed.
  * Remove field Priority on binary package libdxflib-dev that duplicates
    source.

  [ Alastair McKinstry ]
  * Standards-Version: 4.7.0

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Feb 2025 16:15:15 +0000

dxflib (3.26.4-1) unstable; urgency=medium

  [ Alastair McKinstry ]
  * New upstream release
  * Update patches to bump soverson to 3.26.4 from 3.17.0
  * Standards-Version: 4.6.0
  * Use debhelper-compat (= 13)
  * Add d/gpb.conf file to point to DEP-14 branches
  * Add not-installed file: not installing la files

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Sep 2021 10:33:38 +0100

=== debian/control ===
Source: dxflib
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Alastair McKinstry <mckinstry@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
Standards-Version: 4.7.3
Section: libs
Homepage: https://www.qcad.org/en/what-is-dxflib
Vcs-Browser: https://salsa.debian.org/science-team/dxflib.git
Vcs-Git: https://salsa.debian.org/science-team/dxflib.git -b debian/latest

Package: libdxflib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdxflib3 (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for the dxflib library
 dxflib is a C++ library for reading and writing DXF files. When reading DXF
 files, dxflib parses the file and calls functions that you define in your
 own C++ class for adding entities, layers, etc.
 .
 This package contains the development files (headers and documentation) for
 libdxflib.

Package: libdxflib3
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for reading and writing DXF files
 dxflib is a C++ library for reading and writing DXF files. When reading DXF
 files, dxflib parses the file and calls functions that you define in your
 own C++ class for adding entities, layers, etc.

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,11 @@
 
 %:
 	mv configure.in configure.ac
-	dh $@ --with autoreconf
+	dh $@
 	mv configure.ac configure.in
 
 override_dh_auto_test:
 	make testing
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	dh_link -p libdxflib3 $(LIBDIR)/libdxflib.so.3.17.0	 $(LIBDIR)/libdxflib.so.3

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 
 opts="uversionmangle=s/-.*//" \
   http://www.qcad.org/en/dxflib-downloads \
